
CREATE TABLE IF NOT EXISTS `xmas_items` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT 'Unique identifier for this item.',
  `season` bigint(20) NOT NULL,
  `name` varchar(200) NOT NULL COMMENT 'The name of this item.',
  `price` decimal(10,0) DEFAULT NULL,
  `description` varchar(512) DEFAULT NULL,
  `receiver` bigint(20) DEFAULT NULL,
  `status` int(11) DEFAULT NULL,
  `modified` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT 'The date and time this row was created.',
  PRIMARY KEY (`id`),
  KEY `alert_name_index` (`receiver`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1


CREATE TABLE IF NOT EXISTS `xmas_usernotes` (
  `userid` bigint(20) NOT NULL,
  `notes` text NOT NULL,
  `modified` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT 'The date and time this row was created.'
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

CREATE TABLE IF NOT EXISTS `xmas_status` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `name` varchar(30) NOT NULL,
  `color` varchar(12) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;

CREATE TABLE IF NOT EXISTS `xmas_recipients` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `name` varchar(60) NOT NULL,
  `created_date` timestamp NOT NULL DEFAULT CURRENT_TIMESTAMP COMMENT 'The date and time this row was created.',
  `disp_order` bigint(20) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1000 ;

CREATE TABLE IF NOT EXISTS `xmas_recipients_done` (
  `userid` int(11) NOT NULL,
  `year` varchar(4) NOT NULL,
  `done` tinyint(1) NOT NULL,
  KEY `userid` (`userid`)
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

INSERT INTO `xmas_status` (`id`, `name`, `color`) VALUES
(1, 'PLANNED', '#0000c0'),
(2, 'ORDERED', '#009000'),
(3, 'ACQUIRED', '#606060'),
(4, 'BACKORDERED', '#900000');

INSERT INTO `xmas_recipients` (`id`, `name`, `created_date`, `disp_order`) VALUES
(1, 'Ercella', '2011-12-12 18:25:12', 20),
(2, 'Whitney', '2011-12-12 18:26:26', 110),
(3, 'Kevin', '2011-12-12 18:26:26', 70),
(4, 'Evan', '2011-12-12 18:26:26', 30),
(5, 'Randy', '2011-12-12 18:26:26', 90),
(6, 'Michelle', '2011-12-12 18:26:26', 80),
(7, 'Alesha', '2011-12-12 18:26:26', 10),
(8, 'Hannah', '2011-12-12 18:26:26', 40),
(9, 'Jim', '2011-12-12 18:26:26', 50),
(10, 'Suzi', '2011-12-12 18:26:40', 100),
(11, 'Karen', '2011-12-17 16:00:01', 60),
(12, 'Scotty', '2014-11-11 15:27:01', 95),
(13, 'Emma', '2014-11-25 16:05:37', 15),
(999, 'Unassigned', '2012-01-13 05:44:33', 999);

INSERT INTO `xmas_items` (`id`, `season`, `name`, `price`, `description`, `receiver`, `status`, `modified`) VALUES
(1, 2014, 'wii active 2', '25', 'http://goo.gl/XItmYf', 1, 3, '2014-12-15 04:53:44'),
(2, 2014, 'realflight simulator', '50', '', 5, 3, '2014-12-15 04:50:14'),
(3, 2014, 'screwdriver', '20', 'electric with lock', 1, 3, '2014-12-12 18:27:43'),
(4, 2014, 'snowball thrower', '10', 'http://goo.gl/7MbR1y', 3, 3, '2014-12-13 00:39:44'),
(5, 2014, 'multi tool keychain', '33', '', 0, 3, '2014-12-15 04:41:56')


CREATE USER 'webuser'@'localhost' IDENTIFIED BY 'webpass';
GRANT ALL PRIVILEGES ON xmaslist . * TO 'webuser'@'localhost';
