#!/usr/bin/env perl
##################################################################################################
#
# Frontend for the Christmas database
#
##################################################################################################
## +++++++++++++++++++++++++++ Maintenance Log +++++++++++++++++++++++++++++
# Monty Scroggins   Script created.
#

$|=1;    # set output buffering to off
$,=" ";  # set output field separator

BEGIN {
    my $b__dir = (-d '/home/mastscr9/perl'?'/home/mastscr9/perl':( getpwuid($>) )[7].'/perl');
    unshift @INC,$b__dir.'5/lib/perl5',$b__dir.'5/lib/perl5/x86_64-linux-thread-multi',map { $b__dir . $_ } @INC;
}

use CGI;
use CGI::Carp qw(fatalsToBrowser);
use DBI;
use Config::Simple;

use lib "$ENV{SERVERTOP}/tools/lib";#path to utils.pm.  Optional if utils.pm is in current dir
use utils qw(logit);

#read in a simple config file to get the db access parameters
my $cfg = new Config::Simple('xmasviewer.conf');
my $db_source = $cfg->param('db_source');
my $db_user = $cfg->param('db_user');
my $db_password = $cfg->param('db_password');
my $debug = $cfg->param('debug') || 0;
my $db_switch = $cfg->param('db_switch');

&logit(qq{(db_source,db_user,db_password ($db_source,$db_user,$db_password)}) if $debug;

#establish a connection to the db
my $dbh = DBI->connect($db_source,$db_user,$db_password) || die "Can't connect: $DBI::errstr\n";


#-----------------------------------------------------------------------------------------------------
# recipient option menu
my $recipientoptionpopulate;
my $recipientoptionmenuguts;
my $contextsql = qq{
SELECT
    id,
    name
FROM
    xmas_recipients
WHERE 
    id < 999
ORDER BY
    disp_order
};

$sth = $dbh->prepare($contextsql);
$sth->execute();
$sth->bind_columns(\$val,\$label);
while ( $sth->fetch() ) {
    $recipientoptionmenuguts .= qq{<option value="$val">$label</option>\n};
    $recipientoptionpopulate .= qq{\nrecipientcombo.put('$val','$label');};
}
$recipientoptionmenuguts .= qq{</select>};
$sth->finish();
 

 #    #  ######  #####   #####     ##     ####   ###### 
 #    #  #       #    #  #    #   #  #   #    #  #
 #    #  #####   #####   #    #  #    #  #       #####
 # ## #  #       #    #  #####   ######  #  ###  #
 ##  ##  #       #    #  #       #    #  #    #  #
 #    #  ######  #####   #       #    #   ####   ######

print "Content-type: text/html", "\n\n";

print qq{
<html>
<head>

<script src="/js/dhtmlxsuite/codebase/dhtmlx.js"></script>
<link rel="stylesheet" type="text/css" href="/js/dhtmlxsuite/skins/skyblue/dhtmlx.css"/>
<link rel="stylesheet" type="text/css" href="/css/xmasviewer.css">
<script src="/js/prototype.js"></script>

<link rel="stylesheet" type="text/css" href="/css/xmasviewer.css">
<script src="/js/prototype.js"></script>
<title>Recipient Notes</title>
<script language=Javascript>
function showMessage(message) {
   var span = document.getElementById("notescontainer");
   span.innerHTML = message;
}

function setDefaults() {
   document.getElementById("recipientid").value = '';
   showMessage('');
}
function showComplete() {
   alert('Note Saved..');
}
function fetchNotes() {
   var url = "xmas_search.cgi";
   var recipientid = document.getElementById("recipientid").value;
   var params='recipientid='+recipientid+'&action=fetchnotes';
   //alert(params);
   var myAjax = new Ajax.Request(url,{method: 'post', parameters: params,onComplete: showtotals});
}

function IsNumeric(input) {
    return (input - 0) == input && input.length > 0;
}

function showtotals(originalRequest) {
   var returndata=originalRequest.responseText;
   //alert(returndata);
   //document.getElementById("notescontainer").innerHTML=returndata;
   editor.setContent(returndata);
}

function setNote() {
   var url = "xmas_search.cgi";
   var recipientid = document.getElementById("recipientid").value;
   var notetext = editor.getContent();
   var params='recipientid='+recipientid+'&notetext='+notetext+'&action=setnote';
   //alert(params);
   var myAjax = new Ajax.Request(url,{method: 'post', parameters: params,onComplete: showComplete});
}

</script>
</head>
<body>
<center>
<h3>Christmas List Recipient Notes</h3>
  <table class="notessearchformtable" >
	 <tr>
	  <td class="toprowlabeltd">Recipient</td>
	  <td  class="toprowtdl">
            <select id="recipientid"  onChange="return fetchNotes();">
            <option value="" selected>Select</option> 
            $recipientoptionmenuguts
	  </td>
	 </tr>
</table>
<br>
<div id="editorObj" style="width: 700px; height: 240px; border: #909090 1px solid;"></div>
<br>
<input type="button" class="formbutton" value="Commit Changes" onclick="return setNote();">
<br>
<script>
dhtmlx.image_path = "/js/dhtmlxsuite/dhtmlxEditor/codebase/imgs";
var editor = new dhtmlXEditor("editorObj");
</script>
<br><br>
<!-- <input type="button" class="formbutton" onclick="return fetchNotes();" value="Search"></input> -->
<br><br>
<a href="xmasviewer.cgi">Christmas List Manager</a>
</body>
</html>
};
